PHP Soporte Extendido

PHP es un lenguaje de programación muy potente que se usa para generar sitios web dinámicos.

La comunidad PHP proporciona actualizaciones de seguridad gratuitas para las versiones actuales. Sin embargo, la comunidad ya no proporciona actualizaciones de seguridad para las versiones PHP 4, 5.2, 5.4 y 5.5. A finales de 2018, la comunidad PHP dejará de soportar PHP 5.6 y PHP 7.0. Por supuesto, tiene la posibilidad de usar estas versiones dentro del PHP Soporte Extendido.

Nuestro servicio de pago del PHP Soporte Extendido le ofrece actualizaciones de seguridad para antiguas versiones de PHP para que pueda seguir usándolas para sus proyectos hasta que decida actualizar a la última versión de PHP. A través del PHP Soporte Extendido, sus sitios web seguirán funcionando de forma segura e ininterrumpida.

¿Qué es el PHP Soporte Extendido?

Debido a que las versiones PHP obsoletas ya no se actualizan, muchos proveedores de alojamiento web las desactivan. Los operadores de sitios web que no sean compatibles con una versión actual de PHP no tendrán otra opción que actualizar el software del sitio web lo antes posible o, si esto no es posible, recrear el sitio web.

Para darle más tiempo para hacer los ajustes necesarios o rediseñar su sitio web, ofrecemos a nuestros clientes el PHP Soporte Extendido como un servicio especial de pago. Dado que la comunidad PHP deja de soportar versiones PHP obsoletas en una fecha determinada, IONOS se encarga del mantenimiento de estas versiones PHP obsoletas. Nuestro objetivo es proporcionarle un servicio ininterrumpido para su presencia en línea y evitar que su sitio web se vuelva vulnerable a los hackers.

El mantenimiento de las antiguas versiones de PHP significa un mayor esfuerzo en nuestros sistemas. Por este servicio adicional le cobramos una cuota mensual.

¿Cuándo comienza el PHP Soporte Extendido?

PHP Soporte Extendido se inicia en el momento en que la comunidad PHP deja de ofrecer soporte. En la Community encontrará más información sobre las distintas fases de soporte PHP, así como el ciclo de vida completo de PHP.

Independientemente de lo anterior, le recomendamos utilizar siempre una versión PHP actual y probada.

¿Por qué se me factura PHP Soporte Extendido?

Ha configurado en su espacio web una versión PHP antigua para la que ya no se ofrece soporte por parte de la comunidad de PHP. Si lo desea podrá modificar esta configuración para cada dominio desde el área IONOS, dentro de la sección Hosting. Allí podrá actualizar la versión de PHP de cada uno de sus dominios simplemente seleccionándolos y haciendo clic en Modificar versión PHP. Le recomendamos utilizar siempre una versión PHP actual.

¿Ya ha cambiado la configuración de su dominio a una versión PHP actual? Entonces es posible que no haya visto el aviso de cancelación que aparece en el área IONOS. En caso de que ya no necesite el servicio de PHP Soporte Extendido, acceda a la Herramienta de Contrato, inicie sesión y seleccione la cancelación del artículo correspondiente a este servicio.

¿No ha recibido ninguna notificación previa sobre nuestro PHP Soporte Extendido a través de correo electrónico? Seguramente no habrá visto que le hemos informado acerca de este asunto por correo electrónico. Compruebe la dirección de correo electrónico que tenemos registrada e introduzca una dirección válida para que podamos localizarle. Solo así podremos ofrecerle un servicio mejor.

¿Por qué se necesita el PHP Soporte Extendido?

Debido a las actualizaciones de seguridad, a las adaptaciones y al funcionamiento de estas versiones PHP antiguas, nuestros administradores tienen una gran carga de trabajo. PHP Soporte Extendido es un servicio especial que ponemos a disposición de nuestros clientes existentes. Puesto que el mantenimiento de estas versiones PHP obsoletas supone un elevado gasto administrativo en nuestros sistemas, le facturamos este servicio adicional mediante una cuota mensual mínima.

Dado que suponemos que todavía necesita los scripts de las versiones antiguas de PHP que mencionamos al inicio de este artículo, ya hemos activado este servicio para su contrato. Usted tendrá que asegurarse de que sus scripts PHP se pueden utilizar también en el futuro. Ya le hemos enviado información más detallada al respecto por correo electrónico.

¿No está seguro de si necesita el PHP Soporte Extendido?

En ese caso, le aconsejamos que pruebe lo siguiente:

  • A la hora de realizar la prueba, le recomendamos que configure un subdominio.

  • Ahora, enlace el contenido de la página con el subdominio.

  • A continuación, puede cambiar, por ejemplo, a la versión actual PHP 7 (recomendado).

En caso de que todo funcione como se espera, puede cancelar PHP Soporte Extendido desde la Herramienta de Contrato con unos pocos clics.

También puede contactar con nuestra Atención al Cliente para cancelar el PHP Soporte Extendido.

¿Sus scripts ya no funcionan tras la actualización?

Cambie de nuevo a la versión PHP original en el área IONOS y póngase en contacto con un experto. Aparentemente, su aplicación no es compatible con PHP 7 sin adaptaciones en los scripts.

Me gustaría adaptar mis scripts a una versión PHP superior, pero para eso necesito más tiempo. ¿Cómo debo actuar?

Compruebe si es necesaria una adaptación de los scripts. Muchos scripts funcionan también perfectamente en la versión PHP 7. Si lo anterior no se aplica en su caso y necesita más adaptaciones, póngase en contacto con nuestra Atención al Cliente para poder coordinarse en cuanto al tiempo.